libtheora, libmp3lame, vidstab, libvorbis, and libxvid not found on OS X

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

libtheora, libmp3lame, vidstab, libvorbis, and libxvid not found on OS X

Rodrigo Polo
Hi, I follow the guide you have here to compile FFmpeg on OS X:
https://trac.ffmpeg.org/wiki/CompilationGuide/MacOSX

I'm currenlty using the latest OS X and Xcode versions, here is a list of
the
software installed:

OS X El Capitan Version 10.11.4 (15E65)
Xcode Version 7.3 (7D175)
Homebrew 0.9.9 (git revision a8ed; last commit 2016-04-13)
Homebrew/homebrew-core (git revision a228; last commit 2016-04-13)

I used Homebrew to install all FFmpeg dependencies:

brew install \
automake \
fdk-aac \
git \
lame \
libass \
libtool \
libvorbis \
libvpx \
opus \
sdl \
shtool \
texi2html \
theora \
wget \
x264 \
xvid \
yasm


The versions of those dependencies are the followin:
automake 1.1515
fdk-aac 0.1.4
git 2.8.1
lame 3.99.5
libass 0.13.2
libtool 2.4.6
libvorbis 1.3.5
libvpx 1.5.0
opus 1.1.2
sdl 1.2.15
shtool 2.0.8
texi2html 5.0
theora 1.1.1
wget 1.17.1
x264 r2601
xvid 1.3.4
yasm 1.3.0

I use the following command to configure:
./configure \
--prefix=/usr/local \
--enable-gpl \
--enable-nonfree \
--enable-libass \
--enable-libfdk-aac \
--enable-libfreetype \
--enable-libopus \
--enable-libvpx \
--enable-libx264 \
--enable-libx265 \
--enable-libmp3lame \
--enable-libtheora \
--enable-libvidstab \
--enable-libvorbis \
--enable-libxvid

And after some trial and error, I removed the following libraries because
of
the following errors:

--enable-libmp3lame \
--enable-libtheora \
--enable-libvidstab \
--enable-libvorbis \
--enable-libxvid

ERROR: libtheora not found
ERROR: libmp3lame >= 3.98.3 not found
ERROR: vidstab not found using pkg-config
ERROR: libvorbis not found
ERROR: libxvid not found

So the final config command is:

./configure \
--prefix=/usr/local \
--enable-gpl \
--enable-nonfree \
--enable-libass \
--enable-libfdk-aac \
--enable-libfreetype \
--enable-libopus \
--enable-libvpx \
--enable-libx264 \
--enable-libx265

I search all over the internet what could be the issue, bit I don't find any
solution, I already linked and unlinked, I ran brew doctor and I double
check
everything is right.

I could send the config log error file, but it looks something else is
happening here.

What could be the problem?

Thanks a lot.

--
Rodrigo J. Polo
www.rodrigopolo.com
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: libtheora, libmp3lame, vidstab, libvorbis, and libxvid not found on OS X

Jim Worrall

> On 2016 Apr 13, at 2:37 AM, Rodrigo Polo <[hidden email]> wrote:
>
> Hi, I follow the guide you have here to compile FFmpeg on OS X:
> https://trac.ffmpeg.org/wiki/CompilationGuide/MacOSX
. . .

> So the final config command is:
>
> ./configure \
> --prefix=/usr/local \
> --enable-gpl \
> --enable-nonfree \
> --enable-libass \
> --enable-libfdk-aac \
> --enable-libfreetype \
> --enable-libopus \
> --enable-libvpx \
> --enable-libx264 \
> --enable-libx265
>
> I search all over the internet what could be the issue,

You give no information about the result of the configure command.  Did it work?  If not what error did you get?
You may want to use Homebrew to also install pkg-config
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user
Reply | Threaded
Open this post in threaded view
|

Re: libtheora, libmp3lame, vidstab, libvorbis, and libxvid not found on OS X

looxonline
In reply to this post by Rodrigo Polo
Rodrigo Polo wrote
Hi, I follow the guide you have here to compile FFmpeg on OS X:

I use the following command to configure:
./configure \
--prefix=/usr/local \
--enable-gpl \
--enable-nonfree \
--enable-libass \
--enable-libfdk-aac \
--enable-libfreetype \
--enable-libopus \
--enable-libvpx \
--enable-libx264 \
--enable-libx265 \
--enable-libmp3lame \
--enable-libtheora \
--enable-libvidstab \
--enable-libvorbis \
--enable-libxvid

the following errors:

--enable-libmp3lame \
--enable-libtheora \
--enable-libvidstab \
--enable-libvorbis \
--enable-libxvid

ERROR: libtheora not found
ERROR: libmp3lame >= 3.98.3 not found
ERROR: vidstab not found using pkg-config
ERROR: libvorbis not found
ERROR: libxvid not found

What could be the problem?
I just complied it on osX yesterday and struggled with the same issue. I solved it by adding CFLAGS=-I/usr/local/ and LDFLAGS=-L/usr/local/ into the config string. Even though autoconf should look there for the include and library files for those plugins it does not.

Also make sure that you have disabled system integrity protection before you install any of the dependencies using home-brew. Just google "disable SIP OS X".